Bug 1201511 - [RFE] Support search based on VM Compatibility Level
Summary: [RFE] Support search based on VM Compatibility Level
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Michal Skrivanek
QA Contact: Shira Maximov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-12 20:51 UTC by Scott Herold
Modified: 2016-03-09 20:59 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update the search capability of Red Hat Enterprise Virtualization has been improved so that virtual machines can be searched for based upon their virtual machine cluster compatibility level, custom virtual machine emulated-machine type, and CPU model.
Clone Of:
Environment:
Last Closed: 2016-03-09 20:59:33 UTC
oVirt Team: Virt
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 39434 master MERGED engine: Add more search filters for VM Never

Description Scott Herold 2015-03-12 20:51:20 UTC
RHEV must have the ability to search for VMs based on their VM compatibility level

Comment 1 Omer Frenkel 2015-03-16 13:49:08 UTC
some more info:
we would like to have ability to search vms according to cluster compatibility level, cpu type and emulated machine, this way users can have all options to search for example (fields names are just for the example):
"VMS: compat_level=3.5 and emulated_machine_type != rhel6.5.0"

Comment 2 Max Kovgan 2015-06-28 14:12:16 UTC
ovirt-3.6.0-3 release

Comment 5 Shira Maximov 2015-10-20 15:27:57 UTC
verified on:
Red Hat Enterprise Virtualization Manager Version: 3.6.0.1-0.1.el6


link to test run :
https://polarion.engineering.redhat.com/polarion/#/project/RHEVM3/testrun?id=3%5F6%5FVIRT%5FSupport%5Fsearch%5Fbased%5Fon%5FVM%5FCompatibility%5FLevel%5F20%5F10%5F2016&tab=records&result=passed

Comment 7 errata-xmlrpc 2016-03-09 20:59:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.